<template>
    <ion-grid class="app-mob-dashboard <#if appde??>${appde.getCodeName()?lower_case}-${ctrl.name}</#if> <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
        <div v-show="isEnableCustomized" class="dashboard-enableCustomized" @click="openCustomized">定制仪表盘<ion-icon name="settings-outline"></ion-icon></div>
        <#list ctrl.getAllPSPortlets() as portlet><#t>
        <#if portlet.getPortletType?? && portlet.getPortletType()?? && portlet.getPortletType() != 'CONTAINER'><#t>
            <div class="dashboard-item" v-if="!isEnableCustomized">
            ${P.getCtrlCode(portlet, 'CONTROL.html').code}
            </div>
        </#if>
        </#list>
            <template v-for="item in customizeModel">
                <div class="dashboard-item" :class="item.componentName + 'dashboard'"  :key="item.id" v-if="isEnableCustomized">
                    <component :is="item.componentName" :viewState="viewState" :name="item.portletCodeName" :context="context" :isChildView="true" :viewparams="viewparams"></component>
                </div>
            </template>
    </ion-grid>
</template>